VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Attributes | List of all members
AEffGUIEditor Class Reference

`#include <aeffguieditor.h>`

Inheritance diagram for AEffGUIEditor:

## Public Member Functions
| AEffGUIEditor (void *pEffect)
virtual | ~AEffGUIEditor ()
virtual void | setParameter (VstInt32 index, float value)
virtual bool | getRect (ERect **ppRect)
virtual bool | open (void *ptr)
virtual void | idle ()
virtual void | doIdleStuff ()
AudioEffect * | getEffect ()
int32_t | getVstGuiVersion ()
virtual bool | setKnobMode (int32_t val)
virtual int32_t | getKnobMode () const
virtual bool | beforeSizeChange (const CRect &newSize, const CRect &oldSize)
| frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change More...
virtual bool | onWheel (float distance)
Public Member Functions inherited from VSTGUIEditorInterface
virtual void | doIdleStuff ()
virtual int32_t | getKnobMode () const
virtual void | beginEdit (int32_t index)
virtual void | endEdit (int32_t index)
virtual bool | beforeSizeChange (const CRect &newSize, const CRect &oldSize)
| frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change More...
virtual CFrame * | getFrame () const

## Protected Attributes
ERect | rect
Protected Attributes inherited from VSTGUIEditorInterface
CFrame * | frame {nullptr}

## Additional Inherited Members
Protected Member Functions inherited from VSTGUIEditorInterface
| VSTGUIEditorInterface ()=default
virtual | ~VSTGUIEditorInterface () noexcept=default

## Constructor & Destructor Documentation

## ◆ AEffGUIEditor()

AEffGUIEditor | ( | void * | pEffect | ) |

## ◆ ~AEffGUIEditor()

~AEffGUIEditor | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ beforeSizeChange()

bool beforeSizeChange | ( | const CRect & | newSize,
|  | const CRect & | oldSize
| ) |  |
| virtual

frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change

Reimplemented from VSTGUIEditorInterface.

## ◆ doIdleStuff()

void doIdleStuff | ( |  | ) |
| virtual

Reimplemented from VSTGUIEditorInterface.

## ◆ getEffect()

AudioEffect * getEffect | ( |  | ) |
| inline

## ◆ getKnobMode()

virtual int32_t getKnobMode | ( |  | ) | const
| inline virtual

Reimplemented from VSTGUIEditorInterface.

## ◆ getRect()

bool getRect | ( | ERect ** | ppRect | ) |
| virtual

## ◆ getVstGuiVersion()

int32_t getVstGuiVersion | ( |  | ) |
| inline

## ◆ idle()

void idle | ( |  | ) |
| virtual

## ◆ onWheel()

bool onWheel | ( | float | distance | ) |
| virtual

## ◆ open()

bool open | ( | void * | ptr | ) |
| virtual

## ◆ setKnobMode()

bool setKnobMode | ( | int32_t | val | ) |
| virtual

## ◆ setParameter()

virtual void setParameter | ( | VstInt32 | index,
|  | float | value
| ) |  |
| inline virtual

## Member Data Documentation

## ◆ rect

ERect rect
| protected

The documentation for this class was generated from the following files:

- aeffguieditor.h
- aeffguieditor.cpp